
Public Support - Support Request #8895

Convenience method to create pins using description from Media Description Service

2019-11-07 11:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10257

Department: EF Affected Products: ADTF 3.6.2

Requester's Priority: Normal Platform:  

Support Level: 3rd Level Topic: ADTF::MediaDescription

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Franz muss in seinem Filter mehrere Pins anlegen. Dabei holt er sich die Description für den Pin vom adtf_media_description

Service:

adtf::ucom::object_ptr<adtf::streaming::IStreamType> pType;

adtf::mediadescription::create_adtf_default_stream_type_from_service(static_cast<adtf_util::

cString>("TL_tTrajectoryRel"), pType);

trajectory_reader = CreateInputPin("TrajectoryRel", pType);

 Seine Frage/Idee: Geht das nicht auch als Einzeiler:

trajectory_reader = CreateInputPin("TrajectoryRel", "TL_tTrajectoryRel");

 Lösung

ACORE-10257 angelegt

History

#1 - 2019-11-11 17:49 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.6.2 added

#2 - 2019-11-12 09:46 - hidden

Ja das wäre cool, eine angepasste create_adtf_default_stream_type_from_service (die einen richtigen Returnwert hat) würde auch schon viel

bringen:

auto pReader = CreateInputPin("name", adtf::mediadescription::stream_type_from_service("name"));

 Dann haben nicht alle Filter eine Abhängigkeit zum MD Service. Könnte Franz damit leben?

#3 - 2019-11-14 08:31 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2019-11-19 16:02 - hidden

Jens ?
#5 - 2019-11-20 11:45 - hidden

Sieht gut aus :)

Danke!

#6 - 2019-11-20 12:00 - hidden

- Project changed from 11 to Public Support

- Subject changed from Anlegen von Pins vereinfachen to Convenience method to create pins using description from Media Description Service

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Topic changed from ADTF::FilterSDK to ADTF::MediaDescription

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10257

- Support Level changed from 2nd Level to 3rd Level

#7 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
